<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<!DOCTYPE html>
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lte IE 7]> <html class="no-js unsupportedBrowser oldie" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8" lang="en"> <![endif]-->
<!--[if IE 9]>    <html class="no-js ie9" lang="en"> <![endif]-->
<!--[if gt IE 9]><!-->
<html class="no-js" lang="en">
<!--<![endif]-->
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <title>
        <fmt:message key="application.title" />
    </title>

    <link href="dellclarity.core/styles/global.semantic.css" rel="stylesheet" type="text/css" />
    <link href="styles/custom.css" media="screen,print" rel="stylesheet" type="text/css" />

    <link rel="shortcut icon" href="dellclarity.core/images/body/fav.ico" />
    <link rel="icon" type="image/ico" href="images/Dell.ico" />

    <script type="text/javascript" language="javascript">

        var menuFlag = true;

        DellClarity = {
            Config: {
                apiVersion: 2.5,
                debugMode: false,
                developmentMode: false,
                sessionTimeout: 15,
                consoleType: ''
            },

            // When DellClarity is initialized, we can safely load our custom script
            initialize: function () {

                DellClarity.Resources.load('scripts/custom.js', function () {

                    // Set the default view
                    DellClarity.Navigation.defaultView = 'applianceManagement.details';

                    // After all resources are finished loading, load the menu
                    DellClarity.Resources.whenFinishedLoading(function () {
                        if (DellClarity.SCVMMAdmin) {
                            DellClarity.SCVMMAdmin.loadMenu('navigationMenu');
                            //DellClarity.SCVMMAdmin.ensureSetupAndConfig();
                        }

                        //Get the console type and based on that type enable the left navigation menu links.
                        var consoleType = DellClarity.SCVMMAdmin.getConsoleType();
                        console.log('consoleType:::' + consoleType);

                        if (consoleType && consoleType.toLowerCase() != 'scom') {
                            $('div.header_div_right #onlineHelpLink').css('display', 'block');
                        }

                        DellClarity.Config.consoleType = consoleType.toLowerCase();
                    });
                });

            }
        };

        function openNav() {
            if (menuFlag) {
                $('nav.menu.navigation').removeClass('short-nav-menu').addClass('long-nav-menu');
                $('#navigation-toggle').removeClass('cux-icon-chevron-sign-right').addClass('cux-icon-chevron-sign-left');
                menuFlag = false;
            } else {
                $('nav.menu.navigation').addClass('short-nav-menu').removeClass('long-nav-menu');
                $('#navigation-toggle').removeClass('cux-icon-chevron-sign-left').addClass('cux-icon-chevron-sign-right');
                menuFlag = true;
            }
        }
    </script>
    <script src="dellclarity.core/scripts/libraries/modernizr.js" type="text/javascript"> </script>
    <script src="dellclarity.core/scripts/global.js" type="text/javascript"> </script>
</head>
<body>
    <header class="header">
        <div>
            <div class="header_icon_div">
                <!--<i class="cui-icon cux-icon cui-icon-color-white cux-icon-dell-halo" style="font-size: 30px;"></i>-->
                <img height="20" src="dellclarity.core/images/logos/dell_emc_logo.png" />
            </div>
            <span class="header_idrac_label"><fmt:message key="application.title" /></span>
            <span class="header_idrac_license"></span>

            <div class="header_div_right">
                <!--changed-->
                <span class="idracmenu-username" title="Admin">
                    <span><i class="nav-right-icon cux-icon cux-icon-user"></i>&nbsp;<fmt:message key="generic.admin"/></span>
                </span>

                <span class="idracmenu-username" title="Logout">
                    <a href="#/logout" style="color: white;"><i class="nav-right-icon cux-icon cux-icon-signout"></i> <fmt:message key="generic.logout"/></a>
                    <!--new-->
                </span>
                
                <span class="idracmenu-username" title="About">
                    <a href="#/about" style="color: white;"><i class="nav-right-icon cux-icon cux-icon-info-sign"></i> <fmt:message key="about.title"/></a>
                    <!--new-->
                </span>

                <span id="onlineHelpLink" style="display: none;" class="idracmenu-username" title="Help">
                    <a id="helpLink" style="color: white;"><i class="nav-right-icon cux-icon cux-icon-question-sign"></i> <fmt:message key="generic.help"/></a>
                    <!--new-->
                </span>
            </div>
        </div>
    </header>


    <div class="contentWrapper">
        <nav id="navigationMenu" class="menu navigation short-nav-menu" role="navigation">
            <i class="cux-icon cux-icon-chevron-sign-right" id="navigation-toggle" onclick="openNav()"></i>
            <ul>
                <li>
                    <a href="#/applianceManagement.details" title="Appliance Details">
                        <i class="ci ci-nav-icon ci-server-core"></i>
                        <fmt:message key="mainmenu.appliancedetails" />
                    </a>
                </li>

                <li>
                    <a href="#/adminPortal.userManagement" title="User Management">
                        <i class="ci ci-nav-icon ci-nav-user-core"></i>
                        <fmt:message key="mainmenu.usermanagement" />
                    </a>
                </li>

                <li>
                    <a href="#/adminPortal.downloads" title="Downloads">
                        <i class="ci ci-nav-icon ci-action-download-core"></i>
                        <fmt:message key="mainmenu.downloads" />
                    </a>
                </li>
                <li>
                    <a href="#/adminPortal.licenseCenter" title="License Center">
                        <i class="ci ci-nav-icon ci-doc-manual-line-core"></i>
                        <fmt:message key="mainmenu.licensing" />
                    </a>
                </li>

                <!-- <li id="monitoringDeviceslink" style="display: none;">
                    <a href="#/monitoringDevices.details" title="Monitoring Devices">
                        <i class="ci ci-nav-icon ci-server-core"></i>
                        <fmt:message key="mainmenu.monitoringdevices" />
                    </a>
                </li> -->

                <li class="hasSubMenu">
                    <a title="Settings">
                        <i class="cux-icon ci-nav-submenu-icon cux-icon-caret-right"></i>
                        <i class="ci ci-nav-icon ci-config-settings3-core"></i>
                        <fmt:message key="mainmenu.settings" />
                    </a>
                    <ul>
                        <li>
                            <a href="#/servicePackUpdates.home" title="Service Pack Updates">
                                <i class="ci ci-nav-icon ci-action-updates-core"></i>
                                <fmt:message key="mainmenu.servicepackupdates" />
                            </a>
                        </li>

                        <li>
                            <a href="#/backupAndRestore.home" title="Restore Appliance">
                                <i class="ci ci-nav-icon ci-action-restore-core"></i>
                                <fmt:message key="mainmenu.restore" />
                            </a>
                        </li>

                        <li>
                            <a href="#/consoleEnrollment.home" title="Console Enrollment">
                                <i class="ci ci-nav-icon ci-server-app-core"></i>
                                <fmt:message key="mainmenu.consoleenrollment" />
                            </a>
                        </li>

                        <li>
                            <a id="logsLink" title="Logs">
                                <i class="ci ci-nav-icon ci-report-line-core"></i>
                                <fmt:message key="mainmenu.logs" />
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#/jobLog.home" title="Jobs and Logs Center">
                        <i class="ci ci-nav-icon ci-nav-jobs-queue-core"></i>
                        <fmt:message key="mainmenu.jobsandlogs" />
                    </a>
                </li>
            </ul>
        </nav>

        <article id="mainContent" role="main">
            <fmt:message key="genericterms.loading" />
        </article>
    </div>
</body>
</html>
