<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
    <section id="page_adminPortal_activityLog" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ActivityLog">
    <header>
        <h1>
            <fmt:message key="adminportal.activitylog.title" />
        </h1>
    </header>
    <form>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="adminportal.activitylog.log" />
            </legend>
            <nav>
                <!-- BETA: Removed for Beta scope, please do not delete -->
                <!--<ul class="inlineList">
                        <li>
                            <a id="tbExportAll" tabindex="1">
                                <fmt:message key="adminportal.activitylog.exportall" />
                            </a>
                        </li>
                        <li>
                            <a id="tbPurge" tabindex="2" class="dialogLink" href="#/adminPortal.purgeLogs">
                                <fmt:message key="adminportal.activitylog.purge" />
                            </a>
                        </li>
                    </ul>-->
                    <div>
                        <ul class="inlineList">
                            <!-- Removed for BETA, please do not delete -->
                            <!--<li>
                                    <a id="tbExportFiltered" tabindex="4">
                                        <fmt:message key="adminportal.activitylog.filter" />
                                    </a>
                                </li>-->
                            <li>
                                <a id="tbRefresh" tabindex="3">
                                    <fmt:message key="adminportal.activitylog.refresh" />
                                </a>
                            </li>
                        </ul>
                    </div>
            </nav>
            <hr />
            <!-- ko with: table -->
            <table id="logsTable" class="dataTable">
                <thead>
                    <tr>
                        <th scope="col" data-bind="sort: 'category'">
                            <strong>
                                <fmt:message key="adminportal.activitylog.category" />
                            </strong>
                        </th>
                        <th scope="col">
                            <strong>
                                <fmt:message key="adminportal.activitylog.description" />
                            </strong>
                        </th>
                        <th scope="col" data-bind="sort: 'date'">
                            <strong>
                                <fmt:message key="adminportal.activitylog.dateandtime" />
                            </strong>
                        </th>
                    </tr>
                </thead>
                <!-- ko if: loading() -->
                <tbody>
                    <tr>
                        <td colspan="3">
                            <fmt:message key="scrollabletable.loading" />
                            <span>&nbsp;</span>
                            <span class="icon spinner"></span>
                        </td>
                    </tr>
                </tbody>
                <!-- /ko -->
                <!-- ko if: !loading() && (!data || data().length == 0) -->
                <tbody>
                    <tr>
                        <td colspan="3">
                            <fmt:message key="scrollabletable.empty" />
                        </td>
                    </tr>
                </tbody>
                <!-- /ko -->
                <!-- ko if: !loading() && data && data().length > 0 -->
                <tbody data-bind="foreach: data">
                    <tr>
                        <td>
                            <span data-bind="text: category"></span>
                        </td>
                        <td>
                            <span data-bind="text: description"></span>
                        </td>
                        <td>
                            <span data-bind="time: date, timeFormat: 'LLL'"></span>
                        </td>
                    </tr>
                </tbody>
                <!-- /ko -->
                <!-- ko if: !loading() -->
                <tfoot>
                    <tr>
                        <td colspan="3">
                            <!-- ko template: {name:DellClarity.ScrollableTable.templateName, data: $data} -->
                            <!-- /ko -->
                        </td>
                    </tr>
                </tfoot>
                <!-- /ko -->
            </table>
            <!-- /ko -->
            
            
            <!-- This feature is out of BETA Scope, please do not delete since it will be added at a later date
                with: filterModel 
            <section id="filterServers" class="filterSummary" style="display: none;">
                <header class="visuallyhidden">
                    <h1>
                        <fmt:message key="logs.title" />
                    </h1>
                </header>
                <fieldset>
                    <legend>
                        <fmt:message key="filter.filter" />
                    </legend>
                    <div>
                        <ul class="labelValuePairs">
                            <li>
                                <label for="category">
                                    <u>
                                        <fmt:message key="adminportal.activitylog.category" />
                                    </u>
                                </label>
                                <select id="category" class="value" data-bind="value: category, 
                                                                            options: categories, 
                                                                            optionsText: 'name', 
                                                                            optionsValue: 'id', 
                                                                            optionsCaption: ' '">
                                </select>
                            </li>
                            <li>
                                <label for="logdatefrom">
                                    <u>
                                        <fmt:message key="adminportal.activitylog.datefrom" />
                                    </u>
                                </label>
                                <span class="value">
                                    <input id="logdatefrom" type="date" data-bind="valueAsDate: logDateFrom" />
                                </span>
                            </li>
                            <li>
                                <label for="logdateto">
                                    <u>
                                        <fmt:message key="adminportal.activitylog.dateto" />
                                    </u>
                                </label>
                                <span class="value">
                                    <input id="logdateto" type="date" data-bind="valueAsDate: logDateTo" />
                                </span>
                            </li>
                        </ul>
                    </div>
                </fieldset>
                <div class="sectionEditButtons">
                    <button id="applyFilter" type="submit">
                        <fmt:message key="filter.apply" />
                    </button>
                    <button id="clearFilter" type="button">
                        <fmt:message key="filter.clear" />
                    </button>
                </div>
            </section>
             /ko -->
        </fieldset>
    </form>
</section>

