<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_applianceManagement_generateCertificate" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ApplianceManagement.GenerateCertificate">
    <form>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="appliancemanagement.generatecertificate.title" />
            </legend>
            <div data-bind="visible: !requestCertificate()">
                <div style="float: left; width: 60px; height: 100px;">
                    <span class="icon information_48"></span>
                </div>
                <span>
                    <fmt:message key="appliancemanagement.generatecertificate.content1" />
                </span>
                <br />
                <p>
                    <fmt:message key="appliancemanagement.generatecertificate.content2" />
                </p>
            </div>
            <div data-bind="visible: !generatedCertificate() && requestCertificate()">
                <div class="messageBox info clearfix">
                    <span class="icon information_16"></span>
                    <span>
                        <fmt:message key="appliancemanagement.generatecertificate.information" />
                    </span>
                </div>
                <br />
                <!-- ko with: model -->
                <ul class="labelValuePairs">
                    <li>
                        <label for="commonName">
                            <u>
                                <fmt:message key="appliancemanagement.generatecertificate.commonname" />
                            </u>
                        </label>
                        <input id="commonName" type="text" value="" placeholder="Not configured" class="value" data-bind="value: commonName, attr: { required: $parent.inputIsRequired() }">
                    </li>
                    <li>
                        <label for="organizationalName">
                            <u>
                                <fmt:message key="appliancemanagement.generatecertificate.organizationalname" />
                            </u>
                        </label>
                        <input id="organizationalName" type="text" value="" placeholder="Not configured" class="value" data-bind="value: orgName, attr: { required: $parent.inputIsRequired() }">
                    </li>
                    <li>
                        <label for="organizationalUnit">
                            <u>
                                <fmt:message key="appliancemanagement.generatecertificate.organizationalunit" />
                            </u>
                        </label>
                        <input id="organizationalUnit" type="text" value="" placeholder="Not configured" class="value" data-bind="value: orgUnit, attr: { required: $parent.inputIsRequired() }">
                    </li>
                    <li>
                        <label for="locality">
                            <u>
                                <fmt:message key="appliancemanagement.generatecertificate.locality" />
                            </u>
                        </label>
                        <input id="locality" type="text" value="" placeholder="Not configured" class="value" data-bind="value: locality, attr: { required: $parent.inputIsRequired() }">
                    </li>
                    <li>
                        <label for="stateName">
                            <u>
                                <fmt:message key="appliancemanagement.generatecertificate.statename" />
                            </u>
                        </label>
                        <input id="stateName" type="text" value="" placeholder="Not configured" class="value" data-bind="value: state, attr: { required: $parent.inputIsRequired() }">
                    </li>
                    <li>
                        <label for="country">
                            <u>
                                <fmt:message key="appliancemanagement.generatecertificate.country" />
                            </u>
                        </label>
                        <select id="country" class="value" 
                            data-bind="attr: { required: $parent.inputIsRequired() }, options: $parent.countries,
                                        optionsCaption: 'Select Country', value: country">
                        </select>
                    </li>
                    <li>
                        <label for="email">
                            <u>
                                <fmt:message key="appliancemanagement.generatecertificate.email" />
                            </u>
                        </label>
                        <input id="email" type="email" value="" placeholder="Not configured" class="value" data-bind="value: email, attr: { required: $parent.inputIsRequired() }">
                    </li>
                </ul>
                <!-- /ko -->
            </div>
            <div data-bind="visible: generatedCertificate() && requestCertificate()">
                <div style="float: left; width: 60px; height: 100px;">
                    <span class="icon statusOK_48"></span>
                </div>
                <span>
                    <fmt:message key="appliancemanagement.generatecertificate.content3" />
                </span>
                <p>
                    <fmt:message key="appliancemanagement.generatecertificate.content4" />
                </p>
                <a class="dialogLink">
                    <fmt:message key="appliancemanagement.generatecertificate.downloadcertificate" />
                </a>
            </div>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="btnContinue" type="submit" data-bind="visible: !generatedCertificate()">
                <fmt:message key="appliancemanagement.generatecertificate.continue" />
            </button>
            <button id="btnCancel" type="button">
                <fmt:message key="appliancemanagement.generatecertificate.cancel" />
            </button>
        </div>
    </form>
</section>
