<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_backupAndRestore_home" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.BackupAndRestore.Summary">
    <header>
        <h1>
            <fmt:message key="backupandrestore.home.title" />
        </h1>
    </header>
    <form>
        <p>
            <fmt:message key="backupandrestore.home.help" />
        </p>
        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="backupandrestore.home.details" />
            </legend>
            <button id="editConfigButton" class="value" type="button">
                <fmt:message key="buttonEdit" />
            </button>

            <nav>
                <ul class="inlineList">
                    <li>
                        <a href="#/backupAndRestore.backup" class="dialogLink">
                            <fmt:message key="backupandrestore.backup" />
                        </a>
                    </li>
                    <li>
                        <a href="#/backupAndRestore.restore" class="dialogLink">
                            <fmt:message key="backupandrestore.restore" />
                        </a>
                    </li>
                </ul>
            </nav>

            <ul class="labelValuePairs">
                <li>
                    <label for="lastBackupDateSD">
                        <u>
                            <fmt:message key="backupandrestore.home.lastbackupdate" />
                        </u>
                    </label>
                    <time id="lastBackupDateSD" class="value" data-bind="time: lastBackupDate"></time>
                </li>
                <li>
                    <label for="lastBackupStatusSD">
                        <u>
                            <fmt:message key="backupandrestore.home.lastbackupstatus" />
                        </u>
                    </label>
                    <span id="lastBackupStatusSD" class="value" data-bind="text: lastBackupStatus"></span>
                </li>
                <li>
                    <label for="backupSharePathSD">
                        <u>
                            <fmt:message key="backupandrestore.home.backupsharepath" />
                        </u>
                    </label>
                    <span id="backupSharePathSD" class="value" data-bind="text: sharePath"></span>

                    <ul class="labelValuePairs">
                        <li>
                            <label for="backupShareUsernameSD">
                                <u>
                                    <fmt:message key="backupandrestore.home.backupshareusername" />
                                </u>
                            </label>
                            <span id="backupShareUsernameSD" class="value" data-bind="text: username"></span>
                        </li>
                        <li>
                            <label for="backupSharePasswordSD">
                                <u>
                                    <fmt:message key="backupandrestore.home.backupsharepassword" />
                                </u>
                            </label>
                            <span id="backupSharePasswordSD" class="value" data-bind="text:password"></span>
                        </li>
                    </ul>
                </li>
                <li>
                    <label for="backupFileEncryptionSD">
                        <u>
                            <fmt:message key="backupandrestore.home.backupfileencryption" />
                        </u>
                    </label>
                    <span id="backupFileEncryptionSD" class="value" data-bind="text: fileEncryption"></span>
                </li>
                <li>
                    <label for="backupIsScheduledOnSD">
                        <u>
                            <fmt:message key="backupandrestore.home.backupisscheduledon" />
                        </u>
                    </label>
                    <time id="backupIsScheduledOnSD" class="value" data-bind="time: scheduleBackupTime, timeFormat: 'LLL'"></time>
                </li>
                <li>
                    <label for="backupRecurrenceSD">
                        <u>
                            <fmt:message key="backupandrestore.home.backuprecurrence" />
                        </u>
                    </label>
                    <span id="backupRecurrenceSD" class="value" data-bind="text: recurrenceBackup"></span>
                </li>
            </ul>

        </fieldset>
        <!-- /ko -->
    </form>
</section>
