<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_consoleEnrollment_enrollConsole" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole">
    <section id="error_enrollConsole" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <!--ko if: DellClarity.Config.consoleType !== 'scom' -->
    <p>
        <fmt:message key="consoleenrollment.enrollconsole.help" />
    </p>
    <!--/ko-->

    <!--ko if: DellClarity.Config.consoleType == 'scom' -->
    <p>
        <fmt:message key="consoleenrollment.enrollconsole.scomhelp" />
    </p>
    <!--/ko-->

    <form id="enrollForm" autocomplete="off">
        <!-- ko with: enrollConsoleModel -->
        <fieldset>
            <legend class="visuallyhidden">
               <fmt:message key="consoleenrollment.enrollconsole.title" />
            </legend>
        </fieldset>
		
		<fieldset>
			<legend class="visuallyhidden">
				<fmt:message key="consoleenrollment.enrollconsole.welcome" />
			</legend>
			<ul class="labelValuePairs">
				<li>
					<label for="consoleName">
						<u>
							<fmt:message key="consoleenrollment.enrollconsole.label.consolename" />
						</u>
					</label>
					<input id="consoleName" type="text" value="" class="value" title="Console Name" data-bind="value: consoleName, event: { keyup: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.capsConsoleName, blur: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.trimConsoleName }, 
                         styledDisabled: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.editFlag() == true,
                        valueUpdate: 'input'" required maxlength="59" />                
				</li>

                <li>
                    <label for="enrollConsoleDescription">
                        <u>
                            <fmt:message key="consoleenrollment.enrollconsole.description" />
                        </u>
                    </label>
                    <textarea id="enrollConsoleDescription" name="enrollConsoleDescription"  data-bind="value: description,
                          styledDisabled: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.editFlag() == true" class="value" maxlength="255" title='<fmt:message key="consoleenrollment.enrollconsole.description.title" />'></textarea>
                 
                </li>
                
			</ul>
		</fieldset>
			
        <fieldset id="console">
            <!--ko if: DellClarity.Config.consoleType !== 'scom' -->
            <legend>
                <fmt:message key="consoleenrollment.enrollconsole.legend.console" />
            </legend>
            <!--/ko-->

            <!--ko if: DellClarity.Config.consoleType == 'scom' -->
            <legend>
                <fmt:message key="consoleenrollment.enrollconsole.legend.console.scom" />
            </legend>
            <!--/ko-->
            <ul class="labelValuePairs">
                <li>
                    <label for="consoleFqdn">
                        <u>
                            <fmt:message key="consoleenrollment.enrollconsole.label.consolefqdn" />
                        </u>
                    </label>
                    <input id="consoleFqdn" type="text" value="" data-bind="value: consoleFqdn,
                           styledDisabled: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.editFlag() == true,
                           event: {
                               blur: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.trimConsoleFQDNText,
                               keyup: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.disableEnrollConsole,
                               change: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.validateConsoleFQDN
                           }, valueUpdate: 'input'" class="value" required maxlength="50"/>
                </li>
				
                <li class="applyCredProfileForm">
                       <!-- ko if: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.editFlag() === false -->
                <span class="label">
                    <u>
                        <fmt:message key="consoleenrollment.enrollconsole.label.consolecredentials" />
                    </u>
                </span>
                <span class="value">
               
                  <label for="credentialProfileConsole" class="visuallyhidden">
                    <u>
                      <fmt:message key="consoleenrollment.enrollconsole.label.consolecredentials" />
                    </u>
                  </label>
                    <select id="credentialProfileConsole" data-bind="value: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.consoleCredentialProfile, 
                        options: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.credentialProfiles,  
                        optionsValue: 'id', 
                        optionsText: 'name',
                        attr:{required: true},
                        styledDisabled: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.editFlag() == true,
                        event: { change: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.disableEnrollConsole },
                        optionsCaption : '<fmt:message key="consoleenrollment.enrollconsole.label.selectcredential" />'"></select>
                       
                 
                    <a id="createCredentialProfileConsole" href="#/credentialProfile.editCredentialProfile">
						<fmt:message key="consoleenrollment.enrollconsole.action.newcredential" />
					</a>
                  
                </span>
                      <!-- /ko -->
              </li>
                  <!-- ko if: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.editFlag() === true -->
                <li>
                    <label for="consoleCredUserName">
                        <u>
                            <fmt:message key="credentialprofile.username" />
                        </u>
                    </label>
                    <input id="consoleCredUserName" name="consoleCredUserName" required data-bind="value: consoleCredUserName,
                          styledDisabled: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.editFlag() == true,
                        event: { blur: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.trimUsernameText }" type="text"  class="value" placeholder='<fmt:message key="credentialprofile.username.hint" />'-->
                </li>
                 <li>
                    <label for="consoleCredPassword">
                        <u>
                            <fmt:message key="credentialprofile.password" />
                        </u>
                    </label>
                    <input id="consoleCredPassword" name="consoleCredPassword" required data-bind="value: consoleCredPassword,
                        event: {keyup: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.disableSave }"                     
                          type="password" class="value">
                </li>
                <!--/ko-->
            </ul>
        </fieldset>

        <!-- /ko -->

        <!-- <fieldset>
            <legend>
                <fmt:message key="consoleenrollment.enrollconsole.authenticationdetails" />
            </legend>
            <ul class="labelValuePairs">
               <li>
                   <span class="label">
                        <u>
                            <fmt:message key="consoleenrollment.enrollconsole.authenticationtype" />
                        </u>
                   </span>
                   <span class="value">
               
                      <label for="authTypes" class="visuallyhidden">
                        <u>
                          <fmt:message key="consoleenrollment.enrollconsole.authenticationtype" />
                        </u>
                      </label>
                        <select id="authTypes" data-bind="options: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.authenticationTypes,
                            optionsText: 'name',
                            optionsValue: 'id',
                            value: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.EnrollConsole.selectedAuthenticationType">
                        </select>
                  
                   </span>
               </li>
            </ul>
        </fieldset>
            -->
        
        <div class="sectionEditButtons">
            <button id="enrollmentTestConnection" class="cux-button cux-button-large cux-button-primary" type="submit" data-bind="enable: enrollConsoleFlag() === false">
                <fmt:message key="consoleenrollment.enrollconsole.action.testconnection" />
            </button>
            			
			<!-- ko if: editFlag() === false -->
                <button id="enrollmentEnroll" class="cux-button cux-button-large cux-button-primary" type="submit" data-bind="enable: enrollConsoleFlag() === true">                     
                     <fmt:message key="consoleenrollment.enrollconsole.action.enroll" /> 
                </button>
            <!-- /ko -->
               
            <!-- ko if: editFlag() === true -->
                <button id="editenrollmentEnroll" class="cux-button cux-button-large cux-button-primary" type="submit" data-bind="enable: enrollConsoleFlag() === true">     
                    <fmt:message key="consoleenrollment.enrollconsole.action.finish" />  
                </button>
            <!-- /ko -->

			<button id="enrollmentCancel" class="cux-button cux-button-large cux-button-danger" type="button">
                <fmt:message key="consoleenrollment.enrollconsole.action.cancel" />
            </button>
        </div>
    </form>
</section>
