<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_consoleEnrollment" class="masterDetails" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Home">
    <section id="consoleMaster" class="master">
        <header class="page-heading">
            <h1>
                <fmt:message key="consoleenrollment.title" />
            </h1>
        </header>
        <section id="error_consolemaster" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }"></section>
        <p>
            <fmt:message key="consoleenrollment.help" />
        </p>
        
        <nav class="action-buttons">
            <ul class="inlineList taskbar">
                <li>
                    <!--<a id="enrollConsole" href="#/consoleEnrollment.enrollConsole" class="dialogLink">
                        <fmt:message key="consoleenrollment.action.enroll" />
                    </a>-->

                    <button id="enrollConsole" class="cui-button cux-button cux-button-medium cux-button-primary" type="button" onclick="window.location.href='#/consoleEnrollment.enrollConsole'">
                        <i class="cux-icon cux-icon-plus-sign-2"></i><span>
                            <fmt:message key="consoleenrollment.action.enroll" />
                        </span>
                    </button>
                </li>
                <li>
                    <!--<a id="deenrollConsole" data-bind="click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Home.performConsoleDeenrollment, styledDisabled: consoleTable().checkedRows().length !== 1">
                        <fmt:message key="consoleenrollment.action.deenroll" />
                    </a>-->

                    <button id="deenrollConsole" data-bind="click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Home.performConsoleDeenrollment, styledDisabled: consoleTable().checkedRows().length !== 1" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                        <i class="cux-icon cux-icon-minus-sign-alt"></i><span>
                            <fmt:message key="consoleenrollment.action.deenroll" />
                        </span>
                    </button>
                </li>
                <!--li>
                    <a id="editConsole" data-bind="styledDisabled: consoleTable().selectedItemCount() !== 1">
                        <fmt:message key="consoleenrollment.action.edit" />
                    </a>
                </li-->
                 <li>
                     <!--<a id="editEnrolledConsole" data-bind="styledDisabled: consoleTable().checkedRows().length !== 1">
                         <fmt:message key="genericTerms.edit" />
                     </a>-->

                     <button id="editEnrolledConsole" data-bind="styledDisabled: consoleTable().checkedRows().length !== 1" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                        <i class="cux-icon cux-icon-edit"></i><span>
                            <fmt:message key="genericTerms.edit" />
                        </span>
                    </button>
                </li>
                <li data-bind="visible: DellClarity.Config.consoleType == 'scom'">
                     <button id="importMPs" data-bind="styledDisabled: consoleTable().checkedRows().length <= 0" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                        <i class="cux-icon cux-icon-edit"></i><span>
                            <fmt:message key="consoleenrollment.action.importmps" />
                        </span>
                    </button>
                </li>
                <li>
                    <!--<a id="refreshConsole">
                        <fmt:message key="consoleenrollment.action.refresh" />
                    </a>-->

                    <button id="refreshConsole" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                        <i class="cux-icon cux-icon-repeat"></i><span>
                            <fmt:message key="consoleenrollment.action.refresh" />
                        </span>
                    </button>
                </li>
            </ul>
        </nav>
        <form id="consoleForm">
            <fieldset>
                <legend class="visuallyhidden">
                    <fmt:message key="consoleenrollment.welcome.consoles" />
                </legend>
                <!-- ko with: consoleTable -->
                <table id="consoleTable" class="dataTable">
                    <thead>
                        <tr>
                            <th scope="col" class="checkboxColumn">
                                <input type="checkbox" id="consoleSelectAll"/>
                                <label for="consoleSelectAll" class="visuallyhidden">
                                   <fmt:message key="consoleenrollment.action.selectall" />
                                </label>
                            </th>

                            <th scope="col">
                                <strong>
                                    <fmt:message key="consoleenrollment.table.header.name" />
                                </strong>
                            </th>

                            <th scope="col">
                                <strong>
                                    <fmt:message key="consoleenrollment.table.header.consoletype" />
                                </strong>
                            </th>

                            <th scope="col">
                                <strong>
                                    <fmt:message key="consoleenrollment.table.header.console" />
                                </strong>
                            </th>
                            
                            <!-- <th scope="col">
                                <strong>
                                    <fmt:message key="consoleenrollment.table.header.authenticationtype" />
                                </strong>
                            </th> -->
                        </tr>
                    </thead>
                    <!-- ko if: loading() -->
                    <tbody>
                        <tr>
                            <td colspan="6">
                                <fmt:message key="scrollabletable.loading" />
                                <span>&nbsp;</span>
                                <span class="icon spinner"></span>
                            </td>
                        </tr>
                    </tbody>
                    <!-- /ko -->
                    <!-- ko if: !loading() && (!data || data().length == 0) -->
                    <tbody>
                        <tr>
                            <td colspan="6">
                                <fmt:message key="scrollabletable.empty" />
                            </td>
                        </tr>
                    </tbody>
                    <!-- /ko -->
                    <!-- ko if: !loading() && data && data().length > 0 -->
                    <tbody data-bind="foreach: data">
                        <tr data-bind="css: { selected: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Home.selectedConsole() === $data }">
                            <td class="checkboxColumn">
                                <input type="checkbox" data-bind="checked: checked, indexedid: 'console_'"/>
                                <label class="visuallyhidden" data-bind="indexedfor:'console_'">
                                    <fmt:message key="consoleenrollment.action.selectconsole" />
                                </label>
                            </td>
                            <td data-bind="text: consoleName"></td>
                            <td data-bind="text: consoleType"></td>
                            <td data-bind="text: consoleFqdn"></td>
                            <!-- <td data-bind="text: authenticationType"></td>  -->
                        </tr>
                    </tbody>
                    <!-- /ko -->
                </table>
                <!-- /ko -->
            </fieldset>
        </form>
    </section>

    <section id="consoleDetails" class="details" data-bind="visible: selectedConsole() !== undefined">
        <header>
            <h1>
                <fmt:message key="generic.details" />
            </h1>
        </header>
        <ul class="labelValuePairs" data-bind="if: selectedConsole() !== undefined">
            <li>
                <label for="selectedConsoleName"><u>
                    <fmt:message key="generic.name" />
                </u></label>
                <span id="selectedConsoleName" class="value" data-bind="text: selectedConsole().consoleName"></span>
            </li>
            <li>
                <label for="selectedConsoleDescription"><u>
                    <fmt:message key="generic.description" />
                </u></label>
                <span id="selectedconsoleDescription" class="value" data-bind="text: selectedConsole().description"></span>
            </li>
            <!-- <li>
                <label for="selectedAuthenticationType"><u>
                    <fmt:message key="consoleenrollment.table.header.authenticationtype" />
                </u></label>
                <span id="selectedAuthenticationType" class="value" data-bind="text: selectedConsole().authenticationType"></span>
            </li> -->
            <li>
                <label for="selectedDateCreated"><u>
                    <fmt:message key="consoleenrollment.table.header.datecreated" />
                </u></label>
                <span id="selectedDateCreated" class="value" data-bind="time: selectedConsole().dateCreated, timeFormat: 'LLL'"></span>
            </li>
            <li>
                <label for="selectedDateModified"><u>
                    <fmt:message key="consoleenrollment.table.header.datemodified" />
                </u></label>
                <span id="selectedDateModified" class="value" data-bind="time: selectedConsole().dateModified, timeFormat: 'LLL'"></span>
            </li>
        </ul>
    </section>
</section>
