<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_importmps_template" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.ImportMPs">
    <section id="error_importmps" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    
    <form id="importMPsForm" autocomplete="off">
    <p>
        <fmt:message key="importmps.help" />
    </p>
    <section id="importmps">
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="importmps.title" />
            </legend>
            <!-- ko with: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.ImportMPs.importMPsTable -->
            <span id="importMPsCheck1_validationMessage" class="validationMessage forTable" style="display: none" />
                <table id="importMPsTable" class="dataTable">
                    <thead>
                        <tr>
                            <th style="border: none;" scope="col">
                               
                            </th>
                            <th style="border: none;" scope="col">
                                <strong>
                                    <fmt:message key="importmps.devicetype" />
                                </strong>
                            </th>
                            <th style="border: none;" scope="col">
                                <strong>
                                    <fmt:message key="importmps.action" />
                                </strong>
                            </th>
                            <th style="border: none;" scope="col">
                               
                            </th>
                        </tr>
                    </thead>

                    <!-- ko if: (!DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.ImportMPs.importMPsTable() || DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.ImportMPs.importMPsTable().length == 0) -->
                    <tbody>
                        <tr>
                            <td colspan="7">
                                <fmt:message key="scrollabletable.empty" />
                            </td>
                        </tr>
                    </tbody>
                    <!-- /ko -->
                    <!-- ko if: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.ImportMPs.importMPsTable() && DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.ImportMPs.importMPsTable().length > 0 -->
                    <tbody data-bind="foreach: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.ImportMPs.importMPsTable">
                        <tr>
                            <td style="border: none;" class="checkboxColumn">
                                <input name="device" type="checkbox" data-bind="checked: isDeviceSelected, event: { change: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.ImportMPs.deviceSelectEvent }, indexedid: id" />
                                <label class="visuallyhidden" data-bind="indexedfor: 'server_'">
                                    <u>
                                        <fmt:message key="discovery.home.compliancechoices" />
                                    </u>
                                </label>
                            </td>
                            <td style="border: none;">
                                <span data-bind="text: deviceType"></span>
                            </td>
                            <td style="border: none;">
                                <!-- ko if: typeof $data.installStatus != 'undefined' --> 
                                    <input type="radio" class="value" value="Install" data-bind="attr: { name: id }, styledDisabled: isDeviceSelected ? false : true, indexedid: 'install_' + id, checked: installStatus" />
                                    <label data-bind="indexedfor: 'install_' + id"><u><fmt:message key="importmps.install" /></u></label>
                                <!-- /ko -->
                            </td>
                            <td style="border: none;">
                                <!-- ko if: typeof $data.installStatus != 'undefined' --> 
                                    <input type="radio" class="value" value="UnInstall" data-bind="attr: { name: id }, styledDisabled: isDeviceSelected ? false : true, indexedid: 'uninstall_' + id, checked: installStatus" />
                                    <label data-bind="indexedfor: 'uninstall_' + id"><u><fmt:message key="importmps.uninstall" /></u></label>
                                <!-- /ko -->
                            </td>

                        </tr>
                    </tbody>
                    <!-- /ko -->
                </table>
                <!-- /ko -->
            </fieldset>
    </section>
        
        <div class="sectionEditButtons">
            <button id="importmpsFinish" class="cux-button cux-button-large cux-button-primary"  type="submit">
                <fmt:message key="importmps.submit" />
            </button>
            <button id="importmpsCancel" class="cux-button cux-button-large cux-button-danger"  type="button">
                <fmt:message key="importmps.cancel" />
            </button>
        </div>
    </form>

</section>
