<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_settingsSummary" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.SettingsSummary">
    <header>
        <h1>
            <fmt:message key="adminportal.settings.title" />
        </h1>
    </header>
    <form>
        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="adminportal.appliancemanagement.ntpsettings" />
            </legend>
            <button id="editNtpButton" class="value" type="button">
                <fmt:message key="buttonEdit" />
            </button>
            <ul class="labelValuePairs">
                <li>
                    <label for="enableNtpServerSummary">
                        <u>
                            <fmt:message key="adminportal.appliancemanagement.enablentpserver" />
                        </u>
                    </label>
                    <span id="enableNtpServerSummary" class="value" data-bind="text: enableNtpServer() ? 'Enabled' : 'Disabled'"></span>
                    <ul class="labelValuePairs">
                        <li>
                            <label for="prefrerredNtpServerSummary">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.prefrerredntpserver" />
                                </u>
                            </label>
                            <span id="prefrerredNtpServerSummary" class="value" data-bind="text: preferredNtpServer"></span>
                        </li>
                        <li>
                            <label for="secondaryNtpServerSummary">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.secondaryntpserver" />
                                </u>
                            </label>
                            <span id="secondaryNtpServerSummary" class="value" data-bind="text: secondaryNtpServer"></span>
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>
        <fieldset>
            <legend>
                <fmt:message key="adminportal.appliancemanagement.proxysettings" />
            </legend>
            <button id="editProxyButton" class="value" type="button">
                <fmt:message key="buttonEdit" />
            </button>
            <ul class="labelValuePairs">
                <li>
                    <label for="enableProxyServerSummary">
                        <u>
                            <fmt:message key="adminportal.appliancemanagement.enableproxyserver" />
                        </u>
                    </label>
                    <span id="enableProxyServerSummary" class="value" data-bind="text: enableProxyServer() ? 'Enabled' : 'Disabled'"></span>
                    <ul class="labelValuePairs">
                        <li>
                            <label for="proxyServerAddressSummary">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.proxyserveraddress" />
                                </u>
                            </label>
                            <span id="proxyServerAddressSummary" class="value" data-bind="text: proxyServerAddress"></span>
                        </li>
                        <li>
                            <label for="portSummary">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.port" />
                                </u>
                            </label>
                            <span id="portSummary" class="value" data-bind="text: port"></span>
                        </li>
                        <li>
                            <label for="usernameSummary">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.username" />
                                </u>
                            </label>
                            <span id="usernameSummary" class="value" data-bind="text: username"></span>
                        </li>
                        <li>
                            <label for="passwordSummary">
                                <u>
                                    <fmt:message key="adminportal.appliancemanagement.password" />
                                </u>
                            </label>
                            <span id="passwordSummary" class="value" data-bind="text: password"></span>
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>
        <fieldset>
            <legend>
                <fmt:message key="adminportal.appliancemanagement.httpscertificates" />
            </legend>
            <nav>
                <ul class="inlineList">
                    <li>
                        <a id="linkUploadCertificate" tabindex="4" class="dialogLink">
                            <fmt:message key="adminportal.appliancemanagement.uploadcertificate" />
                        </a>
                    </li>
                    <!-- Removed for BETA please do not delete -->
                    <!--<li>
                            <a id="linkGenerateCertificate" tabindex="5" href="#/applianceManagement.generateCertificate" class="dialogLink">
                                <fmt:message key="adminportal.appliancemanagement.generatecertificatesigningrequest" />
                            </a>
                        </li>-->

<!--                    
                    <li>
                        <a id="useSelfSignedCertificate" tabindex="6" class="dialogLink">
                            <fmt:message key="adminportal.appliancemanagement.useselfsignedcertificate" />
                        </a>
                    </li>
-->
                </ul>
            </nav>
            <ul class="labelValuePairs">
                <li>
                    <label for="issuedToSummary">
                        <u>
                            <fmt:message key="adminportal.appliancemanagement.issuedto" />
                        </u>
                    </label>
                    <span id="issuedToSummary" class="value" data-bind="text: issuedTo"></span>
                </li>
                <li>
                    <label for="issuedBySummary">
                        <u>
                            <fmt:message key="adminportal.appliancemanagement.issuedby" />
                        </u>
                    </label>
                    <span id="issuedBySummary" class="value" data-bind="text: issuedBy"></span>
                </li>
                <li>
                    <label for="validFromSummary">
                        <u>
                            <fmt:message key="adminportal.appliancemanagement.validfrom" />
                        </u>
                    </label>
                    <span id="validFromSummary" class="value" data-bind="time: validFrom, timeFormat: 'LLL'"></span>
                </li>
            </ul>
        </fieldset>
        <!-- /ko -->
    </form>
</section>
