<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_taskViewer_taskTree" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.Tasks.TaskViewer">
    <header><h1>Task Viewer</h1></header>
    <section id="error_taskViewer" role="alert" class="messageBox" data-bind="template: DellClarity.Controls.MessageBox.templateName"></section>
    <p>
        <fmt:message key="taskviewer.tasktree.help" />
    </p>
    <form>
        <fieldset id="taskFilterFieldSet">
            <legend class="visuallyhidden"><fmt:message key="taskviewer.taskfilter" /></legend>
            <label for="taskFilter"><fmt:message key="taskviewer.filter" /></label>
            <select id="taskFilter" data-bind="options: taskTypesList,
                                                optionsText: 'name',
                                                optionsValue: 'id',
                                                value: selectedFilter"></select>
        </fieldset>
        <section>
            <header class="visuallyhidden">
                <h1>
                    <fmt:message key="taskviewer.welcome.deployments" />
                </h1>
            </header>
            <nav>
                <ul class="inlineList">
                    <li>
                        <a id="deployRefresh" class="taskRefresh" tabindex="1">
                            <fmt:message key="taskviewer.welcome.refresh" />
                        </a>
                    </li>
                    <li>
                        <a id="ExportToCSV" tabindex="2">
                            <fmt:message key="taskviewer.welcome.exporttocsv" />
                        </a>
                    </li>
                    <li>
                        <a id="deployPurgeJob" tabindex="2">
                            <fmt:message key="taskviewer.welcome.purgejob" />
                        </a>
                    </li>
                </ul>
            </nav>
            <!-- ko with: table -->
            <table id="deploymentTable" class="dataTable">
                <thead>
                    <tr>
                        <th scope="col">
                            <fmt:message key="taskviewer.tasktree.jobname" />
                        </th>
                        <th scope="col">
                            <fmt:message key="taskviewer.tasktype" />
                        </th>
                        <th scope="col">
                            <fmt:message key="taskviewer.tasktree.jobdescription" />
                        </th>
                        <th scope="col">
                            <fmt:message key="taskviewer.tasktree.scheduledatetime" />
                        </th>
                        <th scope="col">
                            <fmt:message key="taskviewer.tasktree.jobstatus" />
                        </th>
                        <th scope="col">
                            <fmt:message key="taskviewer.tasktree.taskcompletionstatus" />
                        </th>
                    </tr>
                </thead>
                <!-- ko if: !data || data().length == 0 -->
                <tbody>
                    <tr>
                        <td colspan="6">
                            <fmt:message key="scrollabletable.empty" />
                        </td>
                    </tr>
                </tbody>
                <!-- /ko -->
                <!-- ko if: data && data().length > 0 -->
                <tbody data-bind="foreach: data">
                    <tr>
                        <!-- ko if: taskType === 'deployment' -->
                        <td>
                            <a data-bind="text: jobName, indexedid: 'jobName'" href="#/tasks.details"></a>
                        </td>
                        <!-- /ko -->
                        <!-- ko if: taskType !== 'deployment' -->
                        <td>
                            <span data-bind="text: jobName, indexedid: 'jobName'"></span>
                        </td>
                        <!-- /ko -->
                        <td>
                            <span data-bind="text: taskType"></span>
                        </td>
                        <td>
                            <span data-bind="text: jobDescription"></span>
                        </td>
                        <td>
                            <span data-bind="text: scheduleDateTime"></span>
                        </td>
                        <td>
                            <span data-bind="text: jobStatus"></span>
                        </td>
                        <td>
                            <span data-bind="text: completionStatus"></span>
                        </td>
                    </tr>
                </tbody>
                <!-- /ko -->
                <tfoot>
                    <tr>
                        <td colspan="6">
                            <!-- ko template: {name:DellClarity.ScrollableTable.templateName, data: $data} -->
                            <!-- /ko -->
                        </td>
                    </tr>
                </tfoot>
            </table>
        <!-- /ko -->
        </section>
        <div class="sectionEditButtons">
            <button id="taskViewerFinish" type="submit">
                <fmt:message key="genericTerms.close" />
            </button>
        </div>
    </form>
</section>

