<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_licenseCenter" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.LicenseCenter">
    <section id="error_licenseCenter" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }"></section>
    <header class="page-heading">
        <h1>
            <fmt:message key="licensecenter.title" />
        </h1>
    </header>

    <p>
        <fmt:message key="licensecenter.help" /> Visit <a href="https://www.dell.com/support/article/us/en/04/sln312177/openmanage-integration-suite-for-microsoft-system-center?lang=en" target="_blank"><b>Knowledge Base</b></a> to view information about purchasing the license.
    </p>

    <nav class="action-buttons">
        <ul class="inlineList taskbar">
            <li>
                <input type="file" id="selectedFile" data-bind="visible: false, event: { change: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.LicenseCenter.processFile }" accept=".xml" />
                <!--<a id="importLicense" class="dialogLink">
                    <fmt:message key="licensecenter.action.import" />
                </a>-->

                <button id="importLicense" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                    <i class="cux-icon cux-icon-download"></i><span>
                        <fmt:message key="licensecenter.action.import" />
                    </span>
                </button>
            </li>

            <li>
                <!--<a id="refreshLicense">
                    <fmt:message key="generic.refresh" />
                </a>-->

                <button id="refreshLicense" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                    <i class="cux-icon cux-icon-repeat"></i><span>
                        <fmt:message key="generic.refresh" />
                    </span>
                </button>
            </li>

            <!--
            <li>
                <a id="deleteLicense" class="dialogLink" data-bind="styledDisabled: licenseTable().checkedRows().length !== 1">
                    <fmt:message key="generic.delete" />
                </a>
            </li>
            -->
        </ul>
    </nav>

    <section id="licenseSummary">
        <header class="visuallyhidden">
            <h1>
                <fmt:message key="licensecenter.summary.title" />
            </h1>
        </header>
        <h2>
            <fmt:message key="licensecenter.summary.title" />
        </h2>

        <form style="padding-bottom: 1em !important">
            <div class="statusIndicator" data-bind="if: loading()">
                <span class="spinner">
                    <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                    <fmt:message key="licensecenter.summary.loadingmessage" />
                </span>
            </div>
            <fieldset data-bind="if: !loading()">
                <legend class="visuallyhidden">
                    <fmt:message key="licensing.hostconnectionlicenses.title" />
                </legend>
                <ul class="labelValuePairs">
                    <!-- ko with: licenseSummary -->
                    <li>
                        <label for="totalLicenses">
                            <u>
                                <fmt:message key="licensecenter.summary.licensednodes" />
                            </u>
                        </label>
                        <span id="totalLicenses" class="value" data-bind="text: total"></span>
                    </li>
                    <li>
                        <label for="consumedLicenses">
                            <u>
                                <fmt:message key="licensecenter.summary.nodesinuse" />
                            </u>
                        </label>
                        <span id="consumedLicenses" class="value" data-bind="text: consumed"></span>
                    </li>
                    <li>
                        <label for="availableLicenses">
                            <u>
                                <fmt:message key="licensecenter.summary.nodesavailable" />
                            </u>
                        </label>
                        <span id="availableLicenses" class="value" data-bind="text: available"></span>
                    </li>
                    <!-- /ko -->
                </ul>
            </fieldset>
        </form>
    </section>

    <section id="licenseMaster">
        <header class="visuallyhidden">
            <h1>
                <fmt:message key="licensecenter.details.title" />
            </h1>
        </header>

        <h2>
            <fmt:message key="licensecenter.details.title" />
        </h2>

        <form id="licenseForm">
            <fieldset>
                <legend class="visuallyhidden">
                    <fmt:message key="licensecenter.details.welcome.licenses" />
                </legend>
                <!-- ko with: licenseTable -->
                <table id="licenseTable" class="dataTable">
                    <thead>
                        <tr>
                            <th scope="col" class="checkboxColumn">
                                <input type="checkbox" id="licenseSelectAll" />
                                <label for="licenseSelectAll" class="visuallyhidden">
                                    <fmt:message key="selectall" />
                                </label>
                            </th>

                            <th scope="col">
                                <strong>
                                    <fmt:message key="licensecenter.table.header.entitlementid" />
                                </strong>
                            </th>

                            <th scope="col">
                                <strong>
                                    <fmt:message key="licensecenter.table.header.productid" />
                                </strong>

                            </th>

                            <th scope="col">
                                <strong>
                                    <fmt:message key="licensecenter.table.header.productname" />
                                </strong>

                            </th>

                           <!--  <th scope="col">
                                <strong>
                                    <fmt:message key="licensecenter.table.header.licenseversion" />
                                </strong>
                            </th> -->

                            <th scope="col">
                                <strong>
                                    <fmt:message key="licensecenter.table.header.totalcapacity" />
                                </strong>
                            </th>
                        </tr>
                    </thead>
                    <!-- ko if: loading() -->
                    <tbody>
                        <tr>
                            <td colspan="6">
                                <fmt:message key="scrollabletable.loading" />
                                <span>&nbsp;</span>
                                <span class="icon spinner"></span>
                            </td>
                        </tr>
                    </tbody>
                    <!-- /ko -->
                    <!-- ko if: !loading() && (!data || data().length == 0) -->
                    <tbody>
                        <tr>
                            <td colspan="6">
                                <fmt:message key="scrollabletable.empty" />
                            </td>
                        </tr>
                    </tbody>
                    <!-- /ko -->
                    <!-- ko if: !loading() && data && data().length > 0 -->
                    <tbody data-bind="foreach: data">
                        <tr data-bind="css: { selected: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.LicenseCenter.selectedLicense() === $data }">
                            <td class="checkboxColumn">
                                <input type="checkbox" data-bind="checked: checked, indexedid: 'license_'" />
                                <label class="visuallyhidden" data-bind="indexedfor: 'license_'">
                                    <fmt:message key="licensecenter.action.selectlicense" />
                                </label>
                            </td>
                            <td data-bind="text: entitlementID"></td>
                            <td data-bind="text: productID"></td>
                            <td data-bind="text: productName"></td>
                            <!--<td data-bind="text: licenseVersion"></td-->
                            <td data-bind="text: (total==999999999)?'Unlimited':total"></td>
                        </tr>
                    </tbody>
                    <!-- /ko -->
                </table>
                <!-- /ko -->
            </fieldset>
        </form>
    </section>

    <section id="licenseDetails" class="details" data-bind="visible: selectedLicense() !== undefined">
        <header>
            <h1>
                <fmt:message key="generic.details" />
            </h1>
        </header>
        <ul class="labelValuePairs" data-bind="if: selectedLicense() !== undefined">
            <li>
                <label for="selectedLicenseEntitlementID">
                    <u>
                        <fmt:message key="licensecenter.table.header.entitlementid" />
                    </u>
                </label>
                <span id="selectedLicenseEntitlementID" class="value" data-bind="text: selectedLicense().entitlementID"></span>
            </li>
            <li>
                <label for="selectedProductDescription">
                    <u>
                        <fmt:message key="licensecenter.table.header.productdescription" />
                    </u>
                </label>
                <span id="selectedProductDescription" class="value" data-bind="text: selectedLicense().productDescription"></span>
            </li>
            <li>
                <label for="selectedLicenseImportDate">
                    <u>
                        <fmt:message key="licensecenter.table.header.licenseimportdate" />
                    </u>
                </label>
                <span id="selectedLicenseImportDate" class="value" data-bind="time: selectedLicense().licenseImportDate, timeFormat: 'LLL'"></span>
            </li>
            <li>
                <label for="selectedLicenseValidFromDate">
                    <u>
                        <fmt:message key="licensecenter.table.header.licensevalidfromdate" />
                    </u>
                </label>
                <span id="selectedLicenseValidFromDate" class="value" data-bind="time: selectedLicense().licenseValidFrom, timeFormat: 'LLL'"></span>
            </li>
            <li>
                <label for="selectedLicenseSupportedGenerations">
                    <u>
                        <fmt:message key="licensecenter.table.header.supportedgenerations" />
                    </u>
                </label>
                <span id="selectedLicenseSupportedGenerations" class="value" data-bind="text: selectedLicense().supportedGenerations"></span>
            </li>
        </ul>
    </section>
</section>
