<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_availableupdates" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ServicePackUpdates.AvailableUpdates">
    <header class="page-heading">
        <h1>
            <fmt:message key="servicepackupdates.availableupdates.title" />
        </h1>
    </header>
    <section id="error_availableupdates" role="alert" class="messageBox" data-bind="template: DellClarity.Controls.MessageBox.templateName"></section>
    <p>
        <fmt:message key="servicepackupdates.availableupdates.help" />
    </p>
    <form>
        <header class="visuallyhidden">
            <h1>
                <fmt:message key="servicepackupdates.availableupdates.title" />
            </h1>
        </header>
        <!-- ko with: model -->

        <!-- ko if: $parent.loading() === false && updateVersion() != null-->

        <!-- ko if: updateAppliesToCurrent() === true-->
        <section class="messageBox warning open" id="staticWarningBox" role="alert" style="display: block;padding: 0.5em !important">
            <header style="margin: 1.2em 0">
                <div style="padding: 1.5em 0px 0px 1em;">
                    <span class="icon"></span>
                </div>
            </header>
            <div class="msgBoxContents">
                <p><fmt:message key="servicepackupdates.availableupdates.warning" /></p>
            </div>
        </section>
        <!-- /ko -->

        <!-- ko if: updateAppliesToCurrent() === false-->
        <section class="messageBox info open" id="Section1" role="alert" style="display: block;padding: 0.5em !important">
            <header>
                <div style="padding: 1.5em 0px 0px 1em;">
                    <span class="icon"></span>
                </div>
            </header>
            <div class="msgBoxContents">
                <p><fmt:message key="servicepackupdates.availableupdates.updatedoesnotapply" /></p>
            </div>
        </section>
        <!-- /ko -->

        <!-- /ko -->
        <div class="statusIndicator" data-bind="if: $parent.loading()">
            <span class="spinner">
                <img alt="spinner" src="dellclarity.core/images/body/spinner.gif" />
                <fmt:message key="servicepackupdates.availableupdates.loadingmessage" />
            </span>
        </div>
        <fieldset data-bind="if: !$parent.loading()">
            <legend>
                <fmt:message key="servicepackupdates.availableupdates.title" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="currentVersion">
                        <u><fmt:message key="servicepackupdates.availableupdates.currentversion" /></u>
                    </label>
                    <span id="currentVersion" data-bind="text: currentVersion"></span>
                </li>
                <li>
                    <label for="infrastructureVersion">
                        <u><fmt:message key="servicepackupdates.availableupdates.infrastructureVersion" /></u>
                    </label>
                    <span id="infrastructureVersion" data-bind="text: installedInfrastructureVersion"></span>
                    <br /> &nbsp;
                </li>
                    
                <li>
                    <label for="update">
                        <u><fmt:message key="servicepackupdates.availableupdates.servicepackrepository" /></u>
                    </label>
                    <span id="update"></span>

                    <table id="servicepack-version" style="margin: 1em 0px 0px 1em; border-collapse: separate; border-spacing: 0 0.5em;">
                        <tbody>
                            <tr>
                                <td>
                                    <label for="readme">
                                        <u><fmt:message key="servicepackupdates.availableupdates.readme" /></u>
                                    </label>
                                </td>
                                <td>
                                    <div style="width: 25em; white-space: pre-line; word-wrap: break-word">
                                        <a id="readme" class="value" target="_blank" data-bind="text: $parent.readme, attr: { href: $parent.readme }"></a>
                                    </div>
                                </td>
                            </tr>

                            <tr>
                                <td>
                                    <label for="updateVersion">
                                        <u><fmt:message key="servicepackupdates.availableupdates.updateversion" /></u>
                                    </label>
                                </td>

                                <td>
                                    <!-- ko if: updateVersion() != null -->
                                    <span id="updateVersion" style="white-space:pre-line" data-bind="text: updateVersion"></span>
                                    <!-- /ko -->
                                    <!-- ko if: updateVersion() == null -->
                                    <span id="no-updates" style="white-space:pre-line"><fmt:message key="servicepackupdates.availableupdates.servicepacknotavailable" /></span>
                                    <!-- /ko -->
                                </td>
                            </tr>
                    
                            <tr>
                                <td>
                                    <label for="updateinfrastructureVersion">
                                        <u><fmt:message key="servicepackupdates.availableupdates.infrastructureVersion" /></u>
                                    </label>
                                </td>
                                <td>
                                    <span id="updateinfrastructureVersion" data-bind="text: availableInfrastructureVersion"></span>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </fieldset>
        <div class="sectionEditButtons">
            <!-- ko if: updateVersion() != null && updateAppliesToCurrent() === true -->
            <button id="applyServicePacks" class="cux-button cux-button-large cux-button-primary" type="submit" data-bind="styledDisabled: $parent.loading()">
                <fmt:message key="servicepackupdates.availableupdates.apply" />
            </button>
            <button id="cancelServicePacks" class="cux-button cux-button-large cux-button-danger" type="button">
                <fmt:message key="servicepackupdates.availableupdates.cancel" />
            </button>
            <!-- /ko -->
            <!-- ko if: updateVersion() == null || updateAppliesToCurrent() === false-->
            <button id="closeServicePacks" class="cux-button cux-button-large cux-button-danger" type="button">
                <fmt:message key="servicepackupdates.availableupdates.close" />
            </button>
            <!-- /ko -->
        </div>
        <!-- /ko -->
    </form>
</section>
