<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_adminPortal_servicepackupdate" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ServicePackUpdates.Home">
    <header class="page-heading">
        <h1>
            <fmt:message key="servicepackupdates.home.title" />
        </h1>
    </header>
    <section id="error_servicepackupdate" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" ></section>
    <form id="updateSettingsForm" autocomplete="off">
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="servicepackupdates.home.help" />
            </legend>
            <p><fmt:message key="servicepackupdates.home.help" /></p>
            <button id="checkForUpdates" class="cux-button cux-button-medium cux-button-primary" type="button">
                <i class="cux-icon cux-icon-chevron-sign-right"></i><span>
                    <fmt:message key="servicepackupdates.home.checkforupdates" />
                </span>
            </button>
        </fieldset>

        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="servicepackupdates.home.yumrepository.title" />
            </legend>
            <p><fmt:message key="servicepackupdates.home.yumrepository.help" /></p>
            <ul class="labelValuePairs">
                <li>
                    <label for="yumRepositoryUrl">
                        <u><fmt:message key="servicepackupdates.home.yumrepository.repoUrl" /></u>
                    </label>
                    <input type="text" id="yumRepositoryUrl" class="value" placeholder="http://<server_name>:<server_port>/<path_to_repository>/" data-bind="value: yumRepositoryUrl" required />
                </li>
                <li>
                    <label for="proxyServerSettings">
                        <u><fmt:message key="servicepackupdates.home.yumrepository.proxyserversettings" /></u>
                    </label>
                    <input type="checkbox" id="proxyServerSettings" class="value" data-bind="checked: useProxy" />

                    <ul class="labelValuePairs">
                        <li>
                            <label for="proxyHost">
                                <u><fmt:message key="servicepackupdates.home.yumrepository.proxyhost" /></u>
                            </label>
                            <input type="text" id="proxyHost" class="value" required placeholder="hostname" data-bind="value: proxyHost, styledDisabled: !useProxy()" />
                        </li>
                        <li>
                            <label for="proxyPort">
                                <u><fmt:message key="servicepackupdates.home.yumrepository.proxyport" /></u>
                            </label>
                            <!-- Having placeholder when input type is number causing issue in IE browser. Becuase of this reason input type changed to text and restricting characters and special symbols while entering. -->
                            <!-- Bug 49351: PT - UI - Service Pack Update - After Giving Invalid Input (Alphanumeric) in HTTP Proxy Port "Showing Bad Request Error" -->
                            <input type="text" id="proxyPort" class="value" MaxLength="5" required placeholder="80" data-bind="value: proxyPort, styledDisabled: !useProxy()" />
                        </li>

                        <li>
                            <label for="proxyCredentials">
                                <u><fmt:message key="servicepackupdates.home.yumrepository.proxycredentials" /></u>
                            </label>
                            <input type="checkbox" id="proxyCredentials" class="value" data-bind="checked: proxyCredentials, styledDisabled: !useProxy()" />

                            <ul class="labelValuePairs">
                                <li>
                                    <label for="proxyUsername">
                                        <u><fmt:message key="servicepackupdates.home.yumrepository.proxyusername" /></u>
                                    </label>
                                    <input type="text" id="proxyUsername" class="value" required placeholder="username" data-bind="value: proxyUsername, styledDisabled: !useProxy() || !proxyCredentials()" />
                                </li>

                                <li>
                                    <label for="proxyPassword">
                                        <u><fmt:message key="servicepackupdates.home.yumrepository.proxypassword" /></u>
                                    </label>
                                    <input type="password" id="proxyPassword" class="value" required placeholder="password" data-bind="value: proxyPassword, styledDisabled: !useProxy() || !proxyCredentials()" />
                                </li>

                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>
        <!-- /ko -->
        <div class="sectionEditButtons">
            <button id="applySettings" class="cux-button cux-button-large cux-button-primary" type="submit">
                <fmt:message key="servicepackupdates.home.save" />
            </button>
        </div>
    </form>
</section>
