<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_updateLogs" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ServicePackUpdates.UpdateLogs">
    <header class="page-heading">
        <h1>
            <fmt:message key="servicepackupdates.updatelogs.title" />
        </h1>
    </header>
    <section id="error_updateLogs" role="alert" class="messageBox" data-bind="template: DellClarity.Controls.MessageBox.templateName"></section>
    <p>
        <fmt:message key="servicepackupdates.updatelogs.help" />
    </p>
    <form>
        <!-- ko with: model -->
        <fieldset>
            <legend>
                <fmt:message key="servicepackupdates.updatelogs.lastupdateinfotitle" />
            </legend>
            <!-- ko if: hasUpdates() === true -->
            <ul class="labelValuePairs">
                <li>
                    <label for="servicePackVersion"><u><fmt:message key="servicepackupdates.updatelogs.servicepackversion" /></u></label>
                    <span id="servicePackVersion" class="value" data-bind="text: servicePackVersion"></span>
                </li>
                <li>
                    <label for="resultMessage"><u><fmt:message key="servicepackupdates.updatelogs.resultmessage" /></u></label>
                    <span id="resultMessage" class="value" data-bind="text: resultMessage"></span>
                </li>
                <li>
                    <label for="startTime"><u><fmt:message key="servicepackupdates.updatelogs.starttime" /></u></label>
                    <time id="startTime" data-bind="time: startTime, timeFormat: 'LLL'" class="value"></time>
                </li>
                <li>
                    <label for="endTime"><u><fmt:message key="servicepackupdates.updatelogs.endtime" /></u></label>
                    <time id="endTime" data-bind="time: endTime, timeFormat: 'LLL'" class="value"></time>
                </li>
            </ul>
            <!-- ko if: log() === true -->
            <button id="downloadLog" class="cux-button cux-button-large cux-button-primary" type="button"><fmt:message key="servicepackupdates.updatelogs.downloadlog" /></button>
            <!-- /ko -->
            <!-- /ko -->

            <!-- ko if: hasUpdates() === false -->
            <p><fmt:message key="servicepackupdates.updatelogs.noupdatesinfoavailable" /></p>
            <!-- /ko -->
        </fieldset>
        <!-- /ko -->
    </form>
</section>
